Modify

Opened 11 years ago

Closed 10 years ago

#4081 closed defect (irreproducible)

several times using undo after failed upload,

Reported by: skyper Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: template_report; undo Cc:

Description

What steps will reproduce the problem?

  1. download map
  2. make ~70 changes (did not delete any single node)
  3. validator (no error in validator)
  4. upload stopped -> sync -> error in validator
  5. pressing undo several times
  6. exception


Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2009-12-02 02:32:19
Last Changed Author: jttt
Revision: 2561
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2009-12-01 21:37:23 +0100 (Tue, 01 Dec 2009)
Last Changed Rev: 2561

Memory Usage: 105 MB / 508 MB (21 MB allocated, but free)
Java version: 1.6.0_0

Dataset consistency test:
{Way id=10510021 version=18 MVDd nodes=[]} not found using Dataset.searchWays()
{Way id=4067188 version=1 MVDd nodes=[]} not found using Dataset.searchWays()
{Way id=24447228 version=8 MVDd nodes=[]} not found using Dataset.searchWays()
Way {Way id=27112052 version=4 MV nodes=[{Node id=297471089 version=4 V lat=48.794819,lon=9.1966379}]} has only one node


Plugins: ColumbusCSV,buildings_tools,editgpx,osmarender,utilsplugin,validator,waydownloader,wmsplugin
Plugin ColumbusCSV Version: 47
Plugin buildings_tools Version: 25
Plugin editgpx Version: 18595
Plugin osmarender Version: 18733
Plugin utilsplugin Version: 18621
Plugin validator Version: 18848
Plugin waydownloader Version: 18617
Plugin wmsplugin Version: 18762

....

http://www.openstreetmap.org/api/0.6/changeset/create... OK
PUT http://www.openstreetmap.org/api/0.6/node/create... OK
PUT http://www.openstreetmap.org/api/0.6/node/create... OK
PUT http://www.openstreetmap.org/api/0.6/node/create... OK
PUT http://www.openstreetmap.org/api/0.6/node/create... OK
PUT http://www.openstreetmap.org/api/0.6/node/297470949... OK
PUT http://www.openstreetmap.org/api/0.6/node/297470871... OK
PUT http://www.openstreetmap.org/api/0.6/node/297470985... OK
PUT http://www.openstreetmap.org/api/0.6/node/297470868... OK
PUT http://www.openstreetmap.org/api/0.6/node/297470959... OK
PUT http://www.openstreetmap.org/api/0.6/node/297470947... OK
PUT http://www.openstreetmap.org/api/0.6/node/297471085... OK
PUT http://www.openstreetmap.org/api/0.6/way/15219572... OK
PUT http://www.openstreetmap.org/api/0.6/way/2467882... OK
PUT http://www.openstreetmap.org/api/0.6/way/15244954... OK
PUT http://www.openstreetmap.org/api/0.6/way/27610560... OK
PUT http://www.openstreetmap.org/api/0.6/way/27611022... OK
PUT http://www.openstreetmap.org/api/0.6/way/24301725... OK
PUT http://www.openstreetmap.org/api/0.6/way/37048382... OK
PUT http://www.openstreetmap.org/api/0.6/way/27610742... OK
PUT http://www.openstreetmap.org/api/0.6/way/24447218... OK
PUT http://www.openstreetmap.org/api/0.6/way/5123585... OK
PUT http://www.openstreetmap.org/api/0.6/way/5123584... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596005... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596001... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596002... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596003... OK
PUT http://www.openstreetmap.org/api/0.6/way/27595999... OK
PUT http://www.openstreetmap.org/api/0.6/way/25255875... OK
PUT http://www.openstreetmap.org/api/0.6/way/27611021... OK
PUT http://www.openstreetmap.org/api/0.6/way/24301724... OK
PUT http://www.openstreetmap.org/api/0.6/way/37048383... OK
PUT http://www.openstreetmap.org/api/0.6/way/37048384... OK
PUT http://www.openstreetmap.org/api/0.6/way/27111864... OK
PUT http://www.openstreetmap.org/api/0.6/way/27111981... OK
PUT http://www.openstreetmap.org/api/0.6/way/27112099... OK
PUT http://www.openstreetmap.org/api/0.6/way/27112206... OK
PUT http://www.openstreetmap.org/api/0.6/way/27112071... OK
PUT http://www.openstreetmap.org/api/0.6/way/27111771... OK
PUT http://www.openstreetmap.org/api/0.6/way/27111841... OK
PUT http://www.openstreetmap.org/api/0.6/way/27111758... OK
PUT http://www.openstreetmap.org/api/0.6/way/27111855... OK
PUT http://www.openstreetmap.org/api/0.6/way/34685360... OK
PUT http://www.openstreetmap.org/api/0.6/way/3702376... OK
PUT http://www.openstreetmap.org/api/0.6/way/35828978... OK
PUT http://www.openstreetmap.org/api/0.6/way/37048385... OK
PUT http://www.openstreetmap.org/api/0.6/way/35828977... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596009... OK
PUT http://www.openstreetmap.org/api/0.6/way/25578856... OK
PUT http://www.openstreetmap.org/api/0.6/way/23558094... OK
PUT http://www.openstreetmap.org/api/0.6/way/22700507... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596004... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596006... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596007... OK
PUT http://www.openstreetmap.org/api/0.6/way/35824058... OK
PUT http://www.openstreetmap.org/api/0.6/way/27596000... OK
PUT http://www.openstreetmap.org/api/0.6/way/22700508... OK
PUT http://www.openstreetmap.org/api/0.6/way/25406400... OK
PUT http://www.openstreetmap.org/api/0.6/way/23076469... OK
PUT http://www.openstreetmap.org/api/0.6/way/14328075... OK
PUT http://www.openstreetmap.org/api/0.6/way/25406399... OK
PUT http://www.openstreetmap.org/api/0.6/way/37049443... OK
PUT http://www.openstreetmap.org/api/0.6/way/37048381... OK
PUT http://www.openstreetmap.org/api/0.6/way/44809356... OK
PUT http://www.openstreetmap.org/api/0.6/way/14296876... OK
PUT http://www.openstreetmap.org/api/0.6/way/4387008... OK
PUT http://www.openstreetmap.org/api/0.6/way/40428579... OK
PUT http://www.openstreetmap.org/api/0.6/way/15244955... OK
PUT http://www.openstreetmap.org/api/0.6/way/24822068... OK
PUT http://www.openstreetmap.org/api/0.6/way/25406398... OK
PUT http://www.openstreetmap.org/api/0.6/way/24822067... OK
PUT http://www.openstreetmap.org/api/0.6/way/30179227... OK
PUT http://www.openstreetmap.org/api/0.6/relation/12353... OK
POST http://www.openstreetmap.org/api/0.6/changeset/3280230/upload... OK
POST http://www.openstreetmap.org/api/0.6/changeset/3280230/upload... OK
POST http://www.openstreetmap.org/api/0.6/changeset/3280230/upload... OK
POST http://www.openstreetmap.org/api/0.6/changeset/3280230/upload... Precondition Failed
Error header: Precondition failed: Node 297470952 is still used by way 27112052.
GET http://www.openstreetmap.org/api/0.6/node/297470952/ways
03.12.2009 13:41:27 org.openstreetmap.josm.io.OsmReader processWaysAfterParsing
WARNUNG: Der Weg mit der ID 27.112.052 wird als unvollständig markiert, weil mindestens einer seiner 2 Knoten in den geladenen Daten fehlt.
GET http://www.openstreetmap.org/api/0.6/node/297470952/relations
GET http://www.openstreetmap.org/api/0.6/way/27112052/full


java.lang.AssertionError: Data consistency problem - way with missing node detected
	at org.openstreetmap.josm.data.osm.Way.load(Way.java:200)
	at org.openstreetmap.josm.command.Command.undoCommand(Command.java:94)
	at org.openstreetmap.josm.command.SequenceCommand.undoCommands(SequenceCommand.java:76)
	at org.openstreetmap.josm.command.SequenceCommand.undoCommand(SequenceCommand.java:81)
	at org.openstreetmap.josm.data.UndoRedoHandler.undo(UndoRedoHandler.java:72)
	at org.openstreetmap.josm.actions.UndoAction.actionPerformed(UndoAction.java:34)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(BasicButtonListener.java:253)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6108)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3276)
	at java.awt.Component.processEvent(Component.java:5873)
	at java.awt.Container.processEvent(Container.java:2105)
	at java.awt.Component.dispatchEventImpl(Component.java:4469)
	at java.awt.Container.dispatchEventImpl(Container.java:2163)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4461)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4125)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4055)
	at java.awt.Container.dispatchEventImpl(Container.java:2149)
	at java.awt.Window.dispatchEventImpl(Window.java:2478)
	at java.awt.Component.dispatchEvent(Component.java:4295)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)

Attachments (1)

Error_Bad_cannstatt.osm.bz2 (89.3 KB) - added by skyper 11 years ago.
osm

Download all attachments as: .zip

Change History (2)

Changed 11 years ago by skyper

Attachment: Error_Bad_cannstatt.osm.bz2 added

osm

comment:1 Changed 10 years ago by stoecker

Resolution: irreproducible
Status: newclosed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.